Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.pkcs
Class EncryptedData

    java.lang.Object
      org.bouncycastle.asn1.ASN1Object
          org.bouncycastle.asn1.pkcs.EncryptedData

All Implemented Interfaces:
  ASN1Encodable, Encodable

public class EncryptedData
extends ASN1Object

The EncryptedData object. EncryptedData ::= SEQUENCE { version Version, encryptedContentInfo EncryptedContentInfo } EncryptedContentInfo ::= SEQUENCE { contentType ContentType, contentEncryptionAlgorithm ContentEncryptionAlgorithmIdentifier, encryptedContent [0] IMPLICIT EncryptedContent OPTIONAL } EncryptedContent ::= OCTET STRING

Constructor Summary
`EncryptedData(ASN1ObjectIdentifier contentType, AlgorithmIdentifier encryptionAlgorithm, ASN1Encodable content)`

Method Summary
`ASN1OctetString` | `getContent()`
`ASN1ObjectIdentifier` | `getContentType()`
`AlgorithmIdentifier` | `getEncryptionAlgorithm()`
`static EncryptedData` | `getInstance(java.lang.Object obj)`
`ASN1Primitive` | `toASN1Primitive()` Method providing a primitive representation of this object suitable for encoding.

Methods inherited from class org.bouncycastle.asn1.ASN1Object
`encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EncryptedData

    public EncryptedData(ASN1ObjectIdentifier contentType,
                         AlgorithmIdentifier encryptionAlgorithm,
                         ASN1Encodable content)

Method Detail

### getInstance

    public static EncryptedData getInstance(java.lang.Object obj)

### getContentType

    public ASN1ObjectIdentifier getContentType()

### getEncryptionAlgorithm

    public AlgorithmIdentifier getEncryptionAlgorithm()

### getContent

    public ASN1OctetString getContent()

### toASN1Primitive

    public ASN1Primitive toASN1Primitive()

  Description copied from class: `ASN1Object`
  Method providing a primitive representation of this object suitable for encoding.

  Specified by:
    `toASN1Primitive` in interface `ASN1Encodable`
  Specified by:
    `toASN1Primitive` in class `ASN1Object`
  Returns:
    a primitive representation of this object.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.84
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD